Subject: Re: bug#76423: Major-mode provided LSP server for Eglot

From: Stefan Monnier <[email-masked]>
Date: Thu, 20 Feb 2025 22:04:50 -0500

> As it stands, looking at the `eval-after-load' code for bicep-ts-mode,
> I wonder if it is really a "funny dance" or just the way it should be
> until past decisions are revisited (but not by me :-))

Having to play such games just to update some kind of central DB of all
the modes seems really silly when the DB is only ever consulted for the
major mode of current buffer.

        Stefan